# -*- coding: utf-8 -*-
from Products.Archetypes.public import listTypes
from Products.Archetypes.Extensions.utils import installTypes, install_subskin
from Products.BabylonPortlet.config import PROJECTNAME, GLOBALS
from Products.CMFCore.utils import getToolByName

from StringIO import StringIO

def setupPortal(p):
    slot = ('here/portlet_babylon/macros/portlet',)
    place = 'left_slots' # or 'right_slots'
    if p.hasProperty(place):
        old_prop = p.getProperty(place)
        p._updateProperty(place, old_prop + slot) # set new value
    else:
        obj._setProperty(place, slot, 'lines')


def install(self):
    out = StringIO()

    setupPortal(self)

    install_subskin(self, out, GLOBALS)

    out.write("Successfully installed %s." % PROJECTNAME)
    return out.getvalue()
